---
search:
  tags:
    - customers
    - POST
seo:
  description: >-
    Create customer audience query. Reference for the POST
    /workspaces/{organizationId}/customers/audience-query endpoint in the Pile
    API.
sidebar:
  label: Create customer audience query
  badge: POST
title: Create customer audience query
type: openapi-operation
---
`POST /workspaces/{organizationId}/customers/audience-query`

**Request body** (`application/json`)

- `logic` (string)
- `predicates` (object[])
- `limit` (integer)

Request body example:

```json
{
  "logic": "and",
  "predicates": [],
  "limit": 1
}
```

**Responses**

- `200` — Matched customers for dynamic audience filter

Response example, 200:

```json
{
  "totalMatched": 0,
  "merchants": [
    {
      "property1": null,
      "property2": null
    }
  ]
}
```
